#include <types.h>
#include <libsmd/vdp.h>
#include <libsmd/joy.h>

#include "mdlogot.h"
#include "mdlogom.h"
#include "mdlogop.h"

u16	vtimer = 0;
u16	htimer = 0;

void
vdp_init(void)
{
  vdp_setreg(0, REG0_BASE);
  vdp_setreg(1, REG1_BASE | REG1_DMA);
  vdp_setreg(2, REG2_PLANEA(0xC000));
  vdp_setreg(3, REG3_WINDOW(0xB000));
  vdp_setreg(4, REG4_PLANEB(0xE000));
  vdp_setreg(5, REG5_SPRITE(0xBC00));
  vdp_setreg(7, REG7_PAL(0) | REG7_COLOR(0));
  vdp_setreg(10, REG_NULL);
  vdp_setreg(11, REG_NULL);
  vdp_setreg(12, REG_NULL);
  vdp_setreg(13, REG13_HSCROLL(0xB800));
  vdp_setreg(15, REG15_AUTOINC(2));	/* AutoInc 2 */
  vdp_setreg(16, REG_NULL);
  vdp_clrvram();
  vdp_clrvsram();
}

void
vblank(void)
{
}

void
hblank(void)
{
}

void
main(void)
{
  vdp_init();
  vdp_writetocram(32, mdlogo_pal, 0);
  vdp_dma(sizeof(mdlogo_tiles), mdlogo_tiles, 0, DMA_TO_VRAM);
  vdp_waitdma();
  vdp_setreg(1, REG1_BASE | REG1_DISPLAY);

  vdp_writetovram(sizeof(mdlogo_map), mdlogo_map, 0xC000);
  while (1)
    vdp_waitvsync();
}
