#include <types.h>
#include <libsmd/vdp.h>
#include <libsmd/joy.h>

#include "scrollt.h"
#include "scrollm.h"
#include "scrollp.h"

u16	vtimer = 0;
u16	htimer = 0;

s16	hscroll = 0;
s16	vscroll = 0;

void
vdp_init(void)
{
  vdp_setreg(0, REG0_BASE);
  vdp_setreg(1, REG1_BASE | REG1_DMA);
  vdp_setreg(2, REG2_PLANEA(0xC000));
  vdp_setreg(3, REG3_WINDOW(0xB000));
  vdp_setreg(4, REG4_PLANEB(0xE000));
  vdp_setreg(5, REG5_SPRITE(0xBC00));
  vdp_setreg(7, REG7_PAL(0) | REG7_COLOR(0));
  vdp_setreg(10, REG_NULL);
  vdp_setreg(11, REG11_HFULL | REG11_VFULL);
  vdp_setreg(12, REG_NULL);
  vdp_setreg(13, REG13_HSCROLL(0xB800));
  vdp_setreg(15, REG15_AUTOINC(2));
  vdp_setreg(16, REG16_64X64);
  vdp_clrvram();
  vdp_clrvsram();
}

void
vblank(void)
{
}

void
hblank(void)
{
}

void
main(void)
{
  u8	joy;

  vdp_init();
  vdp_writetocram(32, scroll_pal, 0);
  vdp_dma(sizeof(scroll_tiles), scroll_tiles, 0, DMA_TO_VRAM);
  vdp_waitdma();
  vdp_setreg(1, REG1_BASE | REG1_VINT | REG1_DISPLAY);

  vdp_writetovram(sizeof(scroll_map), scroll_map, 0xC000);

  joy_init();
  while (1)
    {
      joy = joy_read(JOY_1, JOY_3BTS);
      if (JOY_IS_PRESSED(joy, JOY_RIGHT) && hscroll > -256)
	hscroll -= 3;
      if (JOY_IS_PRESSED(joy, JOY_LEFT) && hscroll < 0)
	hscroll += 3;
      if (JOY_IS_PRESSED(joy, JOY_UP) && vscroll > 0)
	vscroll -= 3;
      if (JOY_IS_PRESSED(joy, JOY_DOWN) && vscroll <= 286)
	vscroll += 3;
      vdp_pointto(0xB800, VRAM_WRITE);
      vdp_write(hscroll);
      vdp_pointto(0, VSRAM_WRITE);
      vdp_write(vscroll);
      vdp_waitvsync();
    }
}
