# Copyright 2009-2010 The MegaDrive.Org Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are
# permitted provided that the following conditions are met:
#
#  1. Redistributions of source code must retain the above copyright notice, this list of
#  conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright notice, this list
#     of conditions and the following disclaimer in the documentation and/or other materials
#      provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE MEGADRIVE.ORG TEAM ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EMMANUEL VADOT OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# $Id: md.mk,v 1.5 2010/01/13 10:57:23 elbarto Exp $

MDDEV?=		/usr/local/mddev
PREFIX?=	${MDDEV}
CC=		m68k-elf-gcc
AS=		m68k-elf-as
LD=		m68k-elf-ld
OBJC=		m68k-elf-objcopy
AR=		m68k-elf-ar -rcs
RM=		rm -f

OBJ:=	${SRC_C:.c=.o}
OBJ+=	${SRC_S:.s=.o}

CFLAGS+=	-m68000 -Wall -Werror -O3 -fomit-frame-pointer -ffreestanding -I${PREFIX}/include/
LINK=		-T${PREFIX}/share/md.ld

${NAME}.bin:	${OBJ}
		${LD} ${OBJ} -o ${NAME}.bin -Map ${NAME}.map ${LINK} --oformat binary

clean:
	${RM} ${OBJ} ${NAME}.bin ${NAME}.map *~

re:	clean ${NAME}.bin

.PHONY:	clean re

.SUFFIXES:	.s .c .o
