/*
 * Copyright 2009-2010 The MegaDrive.Org Team
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are
 * permitted provided that the following conditions are met:
 * 
 *    1. Redistributions of source code must retain the above copyright notice, this list of
 *       conditions and the following disclaimer.
 * 
 *    2. Redistributions in binary form must reproduce the above copyright notice, this list
 *       of conditions and the following disclaimer in the documentation and/or other materials
 *       provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE MEGADRIVE.ORG TEAM ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EMMANUEL VADOT OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/* $Id: types.h,v 1.3 2010/01/11 06:32:36 elbarto Exp $ */

/*! \file types.h
    \brief types definitions

*/

/*! \var typedef unsigned char u8
    \brief typedef for a unsigned 8bits variable
*/

/*! \var typedef unsigned short u16
    \brief typedef for a unsigned 16 bits variable
*/

/*! \var typedef unsigned long u32
    \brief typedef for a unsigned 32bits variable
*/

/*! \var typedef signed char s8
    \brief typedef for a signed 8bits variable
*/

/*! \var typedef signed short s16
    \brief typedef for a signed 16bits variable
*/

/*! \var typedef signed long s32
    \brief typedef for a signed 32bits variable
*/

#ifndef _TYPES_H_
# define _TYPES_H_

typedef unsigned char	u8;
typedef unsigned short	u16;
typedef unsigned long	u32;

typedef signed char	s8;
typedef signed short	s16;
typedef signed long	s32;

#endif /* _TYPES_H_ */
